<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">

                <div class="row">
                    <div class="col-4 d-flex justify-content-center" n:if="$eventWithChildrens->getImagePreview()">
                        <img n:img="$eventWithChildrens->getImagePreview(), '420x200', 'fit'" class="img-fluid align-self-center">
                    </div>
                    <div class="col-{$eventWithChildrens->getImagePreview() ? 8 : 12}">

                        <div class="row form-group">
                            <div class="col-3">{_'extract.event-with-childrens.detail.term'}</div>
                            <div class="col-9">{$eventWithChildrens->getTermClever()}</div>
                        </div>

                        <div class="row form-group" n:if="$eventWithChildrens->isSetPlace()">
                            <div class="col-3">{_'extract.event-with-childrens.detail.place'}</div>
                            <div class="col-9">
                                <a href="{$eventWithChildrens->getPlaceLinkToMap()}" target="_blank"><i class="fas fa-map-marker-alt"></i> {$eventWithChildrens->getPlaceName()}</a>
                            </div>
                        </div>

                        <div class="row form-group">
                            <div class="col-3">{_'extract.event-with-childrens.detail.number-of-children'}</div>
                            <div class="col-9">{$eventWithChildrens->getNumberOfChildren()}</div>
                        </div>

                        <div class="row form-group">
                            <div class="col-3">{_'extract.event-with-childrens.detail.number-of-staff'}</div>
                            <div class="col-9" n:snippet="snipNumberOfStaff">{$eventWithChildrens->getNumberOfLoggedStaff()} / {$eventWithChildrens->getNumberOfStaff()}</div>
                        </div>

                        <div class="row form-group">
                            <div class="col-3">{_'extract.event-with-childrens.detail.total-number-of-people'}</div>
                            <div class="col-9">{$eventWithChildrens->getTotalNumberOfPeople()}</div>
                        </div>

                    </div>
                </div>

                {* STAFF *}
                <div class="row mt-4" n:if="$eventWithChildrens->getStaff()->count()">
                    <div class="col-12">
                        <h4>{_'extract.event-with-childrens.detail.staff.title'}</h4>

                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th>{_'extract.event-with-childrens.detail.staff.name'}</th>
                                <th>{_'extract.event-with-childrens.detail.staff.financial-reward'}</th>
                                <th>{_'extract.event-with-childrens.detail.staff.financial-premium'}</th>
                                <th>{_'extract.event-with-childrens.detail.staff.logged'}</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody n:snippet="snipStaff">
                            <tr n:foreach="$eventWithChildrens->getStaff() as $staff">
                                <td class="align-middle">
                                    <sup class="far fa-question-circle" n:if="$staff->getDescription()" title="{$staff->getDescription()}"></sup> {$staff->getName()}
                                </td>
                                <td class="align-middle">{$staff->getFinancialReward()|number:0:'':' '}</td>
                                <td class="align-middle">{$staff->getFinancialPremium()}</td>
                                <td class="align-middle">
                                    <div>{$staff->getNumberOfLoggedUsers()} / {$staff->getNumber()}</div>
                                    <div n:foreach="$staff->getUsers() as $staffUser">
                                        <a href="#"
                                           data-link="{link logoutUser! id => $staff->getId(), userId => $staffUser->getId()}"
                                           data-confirm="{_'extract.event-with-childrens.detail.staff.log-out-user.confirm'}"
                                           class="fas fa-times text-danger"></a> {$staffUser->getFullName()}
                                    </div>
                                </td>
                                <td class="align-middle text-center">
                                    {if $staff->isUserLogged($loggedUser)}
                                        <a href="#"
                                           data-link="{link logout! id => $staff->getId()}"
                                           data-confirm="{_'extract.event-with-childrens.detail.staff.log-out.confirm'}"
                                           class="ajax btn btn-sm btn-outline-danger">
                                            <i class="fas fa-minus"></i> {_'extract.event-with-childrens.detail.staff.log-out'}
                                        </a>
                                    {elseif $staff->getNumberOfLoggedUsers() >= $staff->getNumber()}
                                        {*<span class="btn btn-sm btn-warning">{_'extract.event-with-childrens.detail.staff.full'}</span>*}
                                        <i class="far fa-grin-beam fa-2x text-primary"></i>
                                    {else}
                                        <a n:href="login! id => $staff->getId()" n:if="! $staff->isUserLoggedInEventWithChildrens($loggedUser)" class="ajax btn btn-sm btn-outline-primary">
                                            <i class="fas fa-plus"></i> {_'extract.event-with-childrens.detail.staff.log-in'}
                                        </a>
                                    {/if}
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>

                {* CONTENT *}
                <div class="row mt-4" n:if="$eventWithChildrens->getContent()">
                    <div class="col-12">
                        <h4>{_'extract.event-with-childrens.detail.content.title'}</h4>

                        {$eventWithChildrens->getContent()|noescape}
                    </div>
                </div>

                {* FILES *}
                <div class="row mt-4" n:if="$eventWithChildrens->getFiles()->count()">
                    <div class="col-12">
                        <h4>{_'extract.event-with-childrens.detail.files.title'}</h4>
                    </div>
                    <div class="col-12 table-responsive">
                        <table class="table table-striped table-hover">
                            <thead>
                            <tr>
                                <th>{_'extract.event-with-childrens.detail.file.name'}</th>
                                <th class="text-right">{_'extract.event-with-childrens.detail.file.size'}</th>
                                <th class="text-right">{_'extract.event-with-childrens.detail.file.last-update-at'}</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr n:foreach="$eventWithChildrens->getFiles() as $file">
                                <td>
                                    <a n:href="downloadFile! hash => $file->getHash()">
                                        {$file->getName()}
                                    </a></td>
                                <td class="text-right">{$file->getSizeInUnit()}</td>
                                <td class="text-right">{$file->getLastUpdateAt()|date:'d.m.Y H:i'}</td>
                                <th class="text-right">
                                    <a n:href="downloadFile! hash => $file->getHash()" class="btn btn-xs btn-outline-primary">
                                        <i class="fas fa-download"></i> {_'extract.event-with-childrens.detail.file.action.download'}
                                    </a>
                                </th>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>